Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26690/?format=api
{ "ob_id": 26690, "uuid": "5f739395b79a439f94aa36e2aca4d7c6", "title": "UKCP18 projected future extreme still water level at selected tide gauge locations for 2020-2100", "abstract": "The data are projected future still water return levels. The data were produced by the Met Office using projections of future mean sea level change prepared at the Met Office and estimates of present-day still water return levels which were provided by the Environment Agency. The data were produced as a simple indication of the relative sizes and uncertainties in present day extreme water levels and projected future mean sea level change. The data were produced by combining projections of mean sea level change with best estimates of present day extreme still water levels. The data in marine strand 4.09 cover the period from 2020 to 2100 and are available for 46 UK tide gauge locations.\r\n\r\nFurther information on this dataset and UKCP18 can be found in the documentation section.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2018-11-26T09:00:00", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26691/?format=api", "dataPath": "/badc/ukcp18/data/marine-sim/return-periods", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 140035526, "numberOfFiles": 4, "fileFormat": "Data are NetCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7199/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2295/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51662/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56585/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58992/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58993/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/83867/?format=api" ], "dataLineage": "Data provided by the UK Met Office", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26015/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112272/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112273/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112275/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112269/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112270/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112271/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140604/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112274/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/26692/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }